PipelineRun Class

An object that represents a pipeline run for a container registry.

Variables are only populated by the server, and will be ignored when sending a request.

Inheritance
azure.mgmt.containerregistry.v2019_12_01_preview.models._models_py3.ProxyResource
PipelineRun

Constructor

PipelineRun(*, request: Optional[azure.mgmt.containerregistry.v2019_12_01_preview.models._models_py3.PipelineRunRequest] = None, force_update_tag: Optional[str] = None, **kwargs)

Variables

id
str

The resource ID.

name
str

The name of the resource.

type
str

The type of the resource.

system_data
SystemData

Metadata pertaining to creation and last modification of the resource.

provisioning_state
str or ProvisioningState

The provisioning state of a pipeline run. Possible values include: "Creating", "Updating", "Deleting", "Succeeded", "Failed", "Canceled".

request
PipelineRunRequest

The request parameters for a pipeline run.

response
PipelineRunResponse

The response of a pipeline run.

force_update_tag
str

How the pipeline run should be forced to recreate even if the pipeline run configuration has not changed.